//#version 120 //attribute
precision mediump float;
uniform sampler2D fTextureSvg;
uniform sampler2D fTextureOrg;
varying vec2 aCoordinate;
uniform int isManhe;

void main() {
    gl_FragColor = texture2D(fTextureSvg, aCoordinate);
    if (isManhe == 1){
        if (gl_FragColor.a > 0.0){
            gl_FragColor = vec4(1, 1, 1, gl_FragColor.a);
        }
    } else {
        if (gl_FragColor.a >0.0){
            vec4 base = texture2D(fTextureOrg, aCoordinate);
            gl_FragColor = vec4(base.r, base.g, base.b, gl_FragColor.a);
        }
    }
}